aboutsummaryrefslogtreecommitdiff
path: root/paludis/broken_linkage_configuration_TEST_setup.sh
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2010-03-23 16:23:16 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2010-03-23 16:23:43 +0000
commit21e8e56a7cb657ced234c0eb0bba3253c8f02616 (patch)
tree3ae23e3bf844b255600ecab8d2b5bc4fe4ae4a7b /paludis/broken_linkage_configuration_TEST_setup.sh
parent3dec9c48b1e0c0b79bdeb0afe4e4e8e8362cef88 (diff)
downloadpaludis-21e8e56a7cb657ced234c0eb0bba3253c8f02616.tar.gz
paludis-21e8e56a7cb657ced234c0eb0bba3253c8f02616.tar.xz
Move broken_linkage_finder to paludis/
Diffstat (limited to 'paludis/broken_linkage_configuration_TEST_setup.sh')
-rwxr-xr-xpaludis/broken_linkage_configuration_TEST_setup.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/paludis/broken_linkage_configuration_TEST_setup.sh b/paludis/broken_linkage_configuration_TEST_setup.sh
new file mode 100755
index 000000000..96559116c
--- /dev/null
+++ b/paludis/broken_linkage_configuration_TEST_setup.sh
@@ -0,0 +1,28 @@
+#!/usr/bin/env bash
+# vim: set ft=sh sw=4 sts=4 et :
+
+mkdir broken_linkage_configuration_TEST_dir || exit 1
+cd broken_linkage_configuration_TEST_dir || exit 1
+
+mkdir -p etc/revdep-rebuild
+
+echo 'export PATH="/foobin:/barbin"' >>etc/profile.env
+echo 'export ROOTPATH="/bazbin"' >>etc/profile.env
+echo 'export WRATH="/goo"' >>etc/profile.env
+
+echo '/foolib/bar' >>etc/ld.so.conf
+echo '/barlib/foo' >>etc/ld.so.conf
+echo '#/shoe' >>etc/ld.so.conf
+
+echo 'SEARCH_DIRS="/alib /blib"' >>etc/revdep-rebuild/10-test
+echo 'SEARCH_DIRS_MASK="/meh -*"' >>etc/revdep-rebuild/10-test
+echo 'SEARCH_DIRS_MASK="/feh"' >>etc/revdep-rebuild/20-test
+echo 'LD_LIBRARY_MASK="libxyzzy.so"' >>etc/revdep-rebuild/30-test
+
+echo 'SEARCH_DIRS="/moo"' >>etc/revdep-rebuild/10test~
+echo 'SEARCH_DIRS="/foo"' >>etc/revdep-rebuild/.10test
+echo 'SEARCH_DIRS="/boo"' >>etc/revdep-rebuild/\#10test
+
+mkdir lib32 lib64
+
+